defmodule DerivantesWeb.UserLoginLive do
  use DerivantesWeb, :live_view

  def render(assigns) do
    ~H"""
    <div class="max-w-sm flex justify-center flex-col m-auto">
      <.header class="text-center">
        Entra en su cuenta
        <:subtitle>
          No tiene una?
          <.link navigate={~p"/derivantes/register"} class="font-semibold text-[#297177] hover:underline">
            Registre y active
          </.link>
          su cuenta ahora.
        </:subtitle>
      </.header>

      <.simple_form
        for={@form}
        id="login_form"
        action={~p"/derivantes/log_in"}
        phx-update="ignore"
        class="auth_form"
      >
      <img src={~p"/images/sana_americano_logo.png"} alt="Sanatorio Americano Logo"/>
        <.input
          field={@form[:email]}
          type="email"
          label="Email"
          class="imput_text"
          required
        />
        <.input
          field={@form[:password]}
          type="password"
          label="Contraseña"
          class="imput_text"
          required
        />

        <:actions>
          <.input field={@form[:remember_me]} type="checkbox" label="Mantenerme conectado" class="accent-[#297177]"/>
          <.link href={~p"/derivantes/reset_password"} class="text-sm text-white font-semibold">
            Olvidó su contraseña?
          </.link>
        </:actions>
        <:actions>
          <.button phx-disable-with="Entrando..." class="w-full submit_button">
            Entrar <span aria-hidden="true">→</span>
          </.button>
        </:actions>
      </.simple_form>
    </div>
    """
  end

  def mount(_params, _session, socket) do
    email = Phoenix.Flash.get(socket.assigns.flash, :email)
    form = to_form(%{"email" => email}, as: "user")
    {:ok, assign(socket, form: form), temporary_assigns: [form: form]}
  end
end
